Bug 231867 - www/firefox {,esr}, mail/thunderbird: silence USES warnings
Summary: www/firefox {,esr}, mail/thunderbird: silence USES warnings
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-gecko (Nobody)
URL:
Keywords: easy, patch, patch-ready
Depends on: 231868
Blocks:
  Show dependency treegraph
 
Reported: 2018-10-01 20:35 UTC by Christoph Moench-Tegeder
Modified: 2018-10-30 18:55 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (gecko)


Attachments
silence USE_GNOME/USE_GL warnings in gecko (1.41 KB, patch)
2018-10-01 20:35 UTC, Christoph Moench-Tegeder
no flags Details | Diff
move gl ang gnome to bsd.gecko.mk (1.96 KB, patch)
2018-10-01 21:07 UTC, Christoph Moench-Tegeder
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Christoph Moench-Tegeder freebsd_committer 2018-10-01 20:35:26 UTC
Created attachment 197695 [details]
silence USE_GNOME/USE_GL warnings in gecko

gecko ports currently warn
  Using USE_GNOME alone is deprecated, please add USES=gnome.
  Setting USE_GL without USES=gl is deprecated

Attached patch silences this warning. (noticed when working on thunderbird, update coming up)
Comment 1 Jan Beich freebsd_committer 2018-10-01 20:53:49 UTC
Comment on attachment 197695 [details]
silence USE_GNOME/USE_GL warnings in gecko

>@@ -33,7 +33,7 @@ USE_GECKO=	gecko
> USE_MOZILLA=	-cairo -soundtouch
> 
> USE_GL=		gl
>-USES=		tar:xz
>+USES=		gl gnome tar:xz

- USE_GNOME is set in Mk/bsd.gecko.mk, so USES=gnome should be there
- USE_GL (and USES=gl) should be moved to Mk/bsd.gecko.mk as every USE_GECKO port defines USE_GL

> (noticed when working on thunderbird, update coming up)

Oh, you may want to hurry up. The next package build starts on 2018-10-02 01:00 UTC. Due to 11.1 EOL it'd take 2 or 3 days to complete.
Comment 2 Christoph Moench-Tegeder freebsd_committer 2018-10-01 21:07:11 UTC
Created attachment 197697 [details]
move gl ang gnome to bsd.gecko.mk

like this? I kept USES+= gnome close to the cairo line. OR better move it into the general USES?
Comment 3 Christoph Moench-Tegeder freebsd_committer 2018-10-01 21:09:49 UTC
(In reply to Jan Beich from comment #1)

> Oh, you may want to hurry up. The next package build starts on 2018-10-02 01:00 > UTC. Due to 11.1 EOL it'd take 2 or 3 days to complete.

I do what my CPU can handle... the mozilla stuff just does not build that fast (but who am I talking to...).
Comment 4 Jan Beich freebsd_committer 2018-10-01 21:50:09 UTC
(In reply to Christoph Moench-Tegeder from comment #3)
mail/thunderbird takes about the same time to build as devel/llvm60 or lang/gcc7 i.e., ~23 min here with ALLOW_MAKE_JOBS. For updates it's usually enough to test on the oldest supported release the worst supported Tier1 architecture i.e., 10.4 i386 atm. The tricky changes are defaults and cleanups where it's hard to predict what may fail.
Comment 5 Christoph Moench-Tegeder freebsd_committer 2018-10-01 21:55:22 UTC
(In reply to Jan Beich from comment #4)
gcc7 and llvm60 feel even slower. I didn't say I was patient... (firefox build in 18 minutes on this machine)
Comment 6 commit-hook freebsd_committer 2018-10-29 22:32:29 UTC
A commit references this bug:

Author: cmt
Date: Mon Oct 29 22:32:18 UTC 2018
New revision: 483435
URL: https://svnweb.freebsd.org/changeset/ports/483435

Log:
  gecko: silence USES warnings

  PR:		231867
  Approved by:	gecko (jbeich did not veto)

Changes:
  head/Mk/bsd.gecko.mk
  head/mail/thunderbird/Makefile
  head/www/firefox/Makefile
  head/www/firefox-esr/Makefile
Comment 7 Christoph Moench-Tegeder freebsd_committer 2018-10-29 22:33:15 UTC
committed ports r483435 - should this be MFHed or not (less churn?)
Comment 8 commit-hook freebsd_committer 2018-10-30 18:55:44 UTC
A commit references this bug:

Author: cmt
Date: Tue Oct 30 18:55:37 UTC 2018
New revision: 483509
URL: https://svnweb.freebsd.org/changeset/ports/483509

Log:
  palemoon, seamonkey: USE_GL has been moved to bsd.gecko.mk

  I missed these in ports r483435

  PR:		231867
  Reported by:	jbeich@

Changes:
  head/www/palemoon/Makefile
  head/www/seamonkey/Makefile